Subject: [video-codec] NHW Project - good quality improvement & encoding speed

From: Raphael Canut <[email-masked]>
Date: Thu, 3 Jan 2019 15:11:10 +0100

Hi,

Just a quick message to let you know that I have made good quality
improvements for very high and extreme compression of the NHW Project (-l8
to -l15 quality settings).The NHW Project starts to be really competitive
with x265 (HEVC) at these very high compression ratios.I even find the NHW
Project visually better than x265 (HEVC) for mid and high compression!

I have also improved encoding speed (C optimizations).

More at: http://nhwcodec.blogspot.com/

We can still save 2.5KB per .nhw compressed files.

I wanted to correct my last speed measurement, with the same level of
optimization, the NHW Project is at least 20x faster to encode (bpgenc -m
0) or at least 52x time faster to encode (bpgenc -m 7) and at least 15x
faster to decode than x265 BPG (optimized HEVC).

Many thanks and Happy New Year!!!
Cheers,
Raphael Canut